std::gcd(3)

NAME
std::gcd - std::gcd

Synopsis
   Defined in header <numeric>
   template< class M, class N > (since C++17)
   constexpr std::common_type_t<M, N> gcd( M m, N n );
   Computes the greatest common divisor of the integers m and n.

Parameters
   m, n - integer values

Return value
   If both m and n are zero, returns zero. Otherwise, returns the greatest common
   divisor of |m| and |n|.
  Remarks
   If either M or N is not an integer type, or if either is (possibly cv-qualified)
   bool, the program is ill-formed.
   If either |m| or |n| is not representable as a value of type std::common_type_t<M,
   N>, the behavior is undefined.

Exceptions
   Throws no exceptions.

Notes
   Feature-test macro: __cpp_lib_gcd_lcm

Example
// Run this code
 #include <numeric>
 int main() {
     constexpr int p {2 * 2 * 3};
     constexpr int q {2 * 3 * 3};
     static_assert(2 * 3 == std::gcd(p, q));
 }

See also
   lcm constexpr function template returning the least common multiple of two
   (C++17) integers
           (function template)